Skip to main content

OpeningsResponse

Response schema for a list of openings

data object[]required

List of openings

  • Array [
  • created_atdatetimerequired

    When the opening was created.

    datedaterequired

    The date of the opening.

    end_timestringrequired

    The end time of the opening (24-hour clock, e.g. 17:00).

    idstringrequired

    Unique identifier for the object.

    Possible values: Value must match regular expression ^opn_\w{12}$

    objectstringrequired

    String representing the object's type.

    Possible values: [opening]

    provider_idstringrequired

    The ID of the provider the opening belongs to.

    start_timestringrequired

    The start time of the opening (24-hour clock, e.g. 09:00).

    time_zonestringrequired

    The IANA time zone the opening's times are authored in.

    titlestringnullablerequired

    An optional display title for the opening.

    updated_atdatetimerequired

    When the opening was last updated.

  • ]
  • meta objectrequired

    Metadata for paginated responses

    current_pageintegerrequired

    Current page number

    page_sizeintegerrequired

    Number of records per page

    total_countintegerrequired

    Total number of records

    total_pagesintegerrequired

    Total number of pages

    OpeningsResponse
    {
    "data": [
    {
    "created_at": "2025-02-17T17:49:19Z",
    "date": "2025-06-15",
    "end_time": "17:00",
    "id": "opn_d025a96ac0c6",
    "object": "opening",
    "provider_id": "prov_d025a96ac0c6",
    "start_time": "09:00",
    "time_zone": "America/New_York",
    "title": "Extra clinic hours",
    "updated_at": "2025-02-17T17:49:19Z"
    }
    ],
    "meta": {
    "current_page": 1,
    "page_size": 10,
    "total_count": 50,
    "total_pages": 5
    }
    }